<div
  #workspace
  class="flex-row full-height full-width overflow-hidden"
  [sqtmCoreWorkspace]="name"
  [sqtmCoreWorkspaceTheme]="theme"
>
  <sqtm-core-nav-bar class="full-height flex-fixed-size"></sqtm-core-nav-bar>

  <div class="flex-column overflow-hidden full-width">
    <sqtm-core-license-information-banner
      class="flex-fixed-size"
      [licenseInformation]="licenseInformation"
      [isAdmin]="isLoggedAsAdmin"
    >
    </sqtm-core-license-information-banner>

    <sqtm-core-configurable-banner />

    <div class="flex-row overflow-hidden flex-grow-shrink">
      <div #tree class="full-height full-width overflow-hidden">
        <ng-content></ng-content>
      </div>
      <div
        #resizeBar
        sqtmCoreResizable
        class="full-height flex-fixed-size resize-handler"
        (resize)="handleResize($event)"
      ></div>
      <div
        #contextualContent
        class="contextual-content full-height flex-fixed-size neutral-background-color"
      >
        <router-outlet></router-outlet>
      </div>
    </div>
  </div>
</div>
